
U++ - Task #1974

Fix warnings on macOS (Clang) - 10.07.2019

07/10/2019 01:31 PM - Zbigniew Rebacz

Status: Approved Start date: 07/10/2019

Priority: Normal Due date:

Assignee: Zbigniew Rebacz % Done: 0%

Category: General Estimated time: 0.00 hour

Target version: Release 2019.2 Spent time: 0.00 hour

Description

Here is the warning I had encountered during macOS TheIDE compilation process:

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/CodeEditor/TagSyntax.cpp (26): warning: unused

function 'IsXmlNameChar' [-Wunused-function]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/Draw/Display.cpp (230): warning: unused function

'NScale' [-Wunused-function]

/Users/rebaczz/Applications/TheIDE.app/Contents/SharedSupport/uppsrc/Draw/Image.h (301): warning: private field 'img_init' is

not used [-Wunused-private-field]

History

#1 - 07/10/2019 01:31 PM - Zbigniew Rebacz

- Description updated

#2 - 08/04/2019 09:26 AM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#3 - 09/09/2019 02:47 PM - Zbigniew Rebacz

- Status changed from Ready for QA to Approved
